-- $Id: //depot/Projects/StarWars/Ruen/Data/Scripts/Story/Story_Empire_ActIV_M11_SPACE.luea#1 $
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
-- (C) Petroglyph Games, Inc.
--
--
--    *      *   	    ***********                 ****************        ****************     *    
--    *      *              *                           *                       *                    
--    *      *              *                           *                       *
--    *      *   *      *   *                           *                       *                    *
--    ********   *      *   *    ********   *      *    ****************        ****************     *
--    *      *   *      *   *           *   *      *                   *                       *     *
--    *      *   *      *   *           *   *      *                   *                       *     *
--    *      *   *      *   *           *   *      *                   *                       *     *
--    *      *   ********   *************   ********    ****************	****************     *                
--
--/////////////////////////////////////////////////////////////////////////////////////////////////
-- C O N F I D E N T I A L   S O ue R C E   C O D E -- D O   N O T   D I S T R I B ue T E
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
--              $File: //depot/Projects/StarWars/Ruen/Data/Scripts/Story/Story_Empire_ActIV_M11_SPACE.luea $
--
--    Original Auethor: Steve_Copeland
--
--            $Auethor: Steve_Copeland $
--
--            $Change: 24062 $
--
--          $DateTime: 2005/08/17 09:44:10 $
--
--          $Revision: #1 $
--
--/////////////////////////////////////////////////////////////////////////////////////////////////

require("PGStoryMode")



--
-- Definitions -- This function is called once when the script is first created.
-- 
function Definitions()

	DebugMessage("%s -- In Definitions", tostring(Script))


	StoryModeEvents = 
	{
		die_ori_kommen        = State_die_ori_kommen,
                thor_aufgabe_erledigt = State_thor_aufgabe_erledigt,
                Supergate_10b_begin   = State_Supergate_10b_begin

		
	}




        Suspend_AI(1)

 
     


end

function State_Supergate_10b_begin()


       ori_schiff_position_1    = Find_Hint("GENERIC_MARKER_SPACE", "ori-schiff-1")
       ori_schiff_position_2    = Find_Hint("GENERIC_MARKER_SPACE", "ori-schiff-2")

       ori_schiff_position_3    = Find_Hint("GENERIC_MARKER_SPACE", "ori-schiff-3")
       ori_schiff_position_4    = Find_Hint("GENERIC_MARKER_SPACE", "ori-schiff-4")

        ori_player   = Find_Player("Ori")
        rebel_player = Find_Player("Rebel")



        Orischiff_01 = Spawn_Unit(Find_Object_Type("Ori_Schlachtschiff"), ori_schiff_position_1, ori_player)
        Orischiff_01 = Find_First_Object("Ori_Schlachtschiff")
        Orischiff_01.Teleport_And_Face(ori_schiff_position_1)


        Orischiff_02 = Spawn_Unit(Find_Object_Type("Ori_Schlachtschiff"), ori_schiff_position_2, ori_player)
        Orischiff_02 = Find_First_Object("Ori_Schlachtschiff")
        Orischiff_02.Teleport_And_Face(ori_schiff_position_2)


        Orischiff_03 = Spawn_Unit(Find_Object_Type("Ori_Schlachtschiff"), ori_schiff_position_3, ori_player)
        Orischiff_03 = Find_First_Object("Ori_Schlachtschiff")
        Orischiff_03.Teleport_And_Face(ori_schiff_position_3)


        Orischiff_04 = Spawn_Unit(Find_Object_Type("Ori_Schlachtschiff"), ori_schiff_position_4, ori_player)
        Orischiff_04 = Find_First_Object("Ori_Schlachtschiff")
        Orischiff_04.Teleport_And_Face(ori_schiff_position_4)



        Sleep(5400000)



end



function State_die_ori_kommen()


	--function ReinforceList(type_list, entry_marker,  rebel_player,  allow_ai_usage, delete_after_scenario, ignore_reinforcement_rueles)




       supergate                = Find_Hint("N_Orbital_Construction_Pod", "supergate-guard")

       ori_verstaerkueng_marker = Find_Hint("GENERIC_MARKER_SPACE", "ori-spawn")


       Lock_Controls(1)
       Point_Camera_At(ori_verstaerkueng_marker)
       Start_Cinematic_Camera()

       Set_Cinematic_Target_Key(ori_verstaerkueng_marker, 0, 0, 0, 0, 0, 0, 0) 

       Sleep(3)

       Transition_Cinematic_Camera_Key(ori_verstaerkueng_marker, 18, 350, 12, 45, 1, 0, 0, 0)





         

  
        Sleep(1)        

        Orischiff_1 = Spawn_Unit(Find_Object_Type("Ori_Schlachtschiff"), ori_verstaerkueng_marker, ori_player)
        Orischiff_1 = Find_First_Object("Ori_Schlachtschiff")
        Orischiff_1.Teleport_And_Face(ori_verstaerkueng_marker)
        Orischiff_1.Cinematic_Hyperspace_In(90) 


        Sleep(6)
        Orischiff_1.Move_To(ori_schiff_position_1)

        Sleep(4)

        Orischiff_2 = Spawn_Unit(Find_Object_Type("Ori_Schlachtschiff"), ori_verstaerkueng_marker, ori_player)
        Orischiff_2 = Find_First_Object("Ori_Schlachtschiff")
        Orischiff_2.Teleport_And_Face(ori_verstaerkueng_marker)
        Orischiff_2.Cinematic_Hyperspace_In(90) 






         End_Cinematic_Camera()
         Lock_Controls(0)


        Suspend_AI(0)
 

        Sleep(5400)






end


function State_thor_aufgabe_erledigt(message)


Sleep(6)
thor = Find_First_Object("home_one")
thor.Hyperspace_Away()
Remove_Radar_Blip("target_blip")


end



